#! /bin/sh


if [ "$2" = "koi2win" ]; then
   direction="$2"
elif [ "$2" = "win2koi" ]; then
   direction="$2"
elif [ "$2" = "koi2utf" ]; then
   direction="$2"
elif [ "$2" = "koi2utf8" ]; then
   direction=koi2utf
elif [ "$2" = "win2utf" ]; then
   direction="$2"
elif [ "$2" = "win2utf8" ]; then
   direction=win2utf
else
   echo "Usage: $0 playlist koi2win|win2koi|koi2utf|win2utf"
   exit 1
fi

if [ "`wc -c \"$1\" | awk '{print $1}'`" -ge 10000 ]; then
   echo "The file \`$1' is too big, probably not a playlist but mp3?"
   exit 2
fi

PATH=$HOME/lib/audio/mp3:$PATH
umask 022

recode-tags.sh . $direction || exit 1
#if [ "$direction" = "koi2win" ]; then
#   exec towin "$1"
#elif [ "$direction" = "win2koi" ]; then
#   exec fromwin "$1"
#fi
